import React from 'react';
import { AriaAttributeProps } from '../utils.js';
export type BadgeColor = 'blue' | 'danger' | 'gray-light' | 'orange-lightest' | 'primary' | 'success' | 'warning' | 'white';
interface BadgeProps extends AriaAttributeProps {
    children: React.ReactNode;
    color?: BadgeColor;
}
declare const Badge: React.FC<BadgeProps>;
export default Badge;
