import React from 'react';
import { AriaAttributeProps, ClickableProps, FlexContainerProps } from '../utils.js';
interface CardProps extends AriaAttributeProps, ClickableProps, FlexContainerProps {
    border?: boolean;
    children: React.ReactNode;
    'data-testid'?: string;
    disabled?: boolean;
    fill?: boolean;
    fullHeight?: boolean;
    fullWidth?: boolean;
    selected?: boolean;
    tight?: boolean;
}
declare const Card: React.ForwardRefExoticComponent<CardProps & React.RefAttributes<HTMLElement>>;
export default Card;
