import React from 'react';
import { TextSize } from '../utils.js';
export interface FancyToggleOption {
    'aria-label'?: string;
    description?: string;
    disabled?: boolean;
    key: string;
    label: React.ReactNode;
    tooltip?: string;
}
export interface FancyToggleProps {
    defaultSelected?: string;
    nowrap?: boolean;
    onChange: (key: string) => void;
    options: FancyToggleOption[];
    textCentered?: boolean;
    textSize?: TextSize;
    tight?: boolean;
    value?: string;
    vertical?: boolean;
}
declare const FancyToggle: React.FC<FancyToggleProps>;
export default FancyToggle;
