import React from 'react';
import { type IconProps } from '@phosphor-icons/react';
import { type IconComponentType } from './IconComponentType.js';
export interface IconAnimationProps extends IconProps {
    duration?: number;
    icon: IconComponentType;
    type: 'spin' | 'scale-in' | 'fade-in' | 'spin-tick';
}
declare const IconAnimation: React.FC<IconAnimationProps>;
export default IconAnimation;
