import React from 'react';
import { IconProps } from '@phosphor-icons/react';
import { IconComponentType } from './IconComponentType.js';
export interface IconBadgeProps extends IconProps {
    border?: 0 | 1;
    borderColor?: IconProps['color'];
    color?: IconProps['color'];
    colorForeground?: IconProps['color'];
    icon: IconComponentType;
    iconBackground?: IconComponentType;
    sizeForeground?: IconProps['size'];
}
declare const IconBadge: React.FC<IconBadgeProps>;
export default IconBadge;
