import React from 'react';
export interface ModalProps {
    children: React.ReactNode;
    disablePadding?: boolean;
    disableScrolling?: boolean;
    error?: string;
    footer?: React.ReactNode;
    height?: '60' | '80';
    isOpen: boolean;
    maxWidth?: boolean;
    size?: 'sm' | 'md' | 'lg' | 'xl';
    title?: string;
    toggleModal: () => void;
}
declare const Modal: React.FC<ModalProps>;
export default Modal;
