import React from 'react';
import { AriaAttributeProps, ClickableProps } from '../utils.js';
type Colors = 'primary' | 'secondary' | 'success' | 'danger' | 'warning' | 'blue';
export interface PillProps extends AriaAttributeProps, ClickableProps {
    children: React.ReactNode;
    color?: Colors;
    small?: boolean;
    title?: string;
}
declare const Pill: React.FC<PillProps>;
export default Pill;
