import React from 'react';
interface TableColumn {
    Cell?: React.FC<any>;
    accessor?: string;
    id: string;
    title: string;
    width?: string;
}
interface TableConfig {
    columns: TableColumn[];
    showHeader?: boolean;
}
interface SimpleTableProps<T> {
    config: TableConfig;
    items: T[];
}
declare function SimpleTable<T>({ config, items }: SimpleTableProps<T>): React.JSX.Element;
export default SimpleTable;
