import React from 'react';
export interface TitleProps extends Omit<React.HTMLAttributes<HTMLHeadingElement>, 'className'> {
    children: React.ReactNode;
    legacyColor?: 'primary';
    level: 1 | 2;
    noMarginBottom?: boolean;
    tight?: boolean;
}
declare const Title: React.FC<TitleProps>;
export default Title;
