import React from 'react';
import { ClickableProps } from '../utils.js';
export interface AnchorProps extends ClickableProps, Omit<React.HTMLAttributes<HTMLElement>, 'onClick' | 'className'> {
    children: React.ReactNode;
    dark?: boolean;
    disabled?: boolean;
    noDecoration?: boolean;
}
declare const Anchor: React.FC<AnchorProps>;
export default Anchor;
