import React from 'react';
import { AnchorProps } from '../Anchor/Anchor.js';
export interface BreadcrumbItem extends Pick<AnchorProps, 'external' | 'href' | 'onClick'> {
    name?: string;
    names?: string[];
}
interface BreadcrumbProps {
    items: BreadcrumbItem[];
    showIcon?: boolean;
}
declare const Breadcrumb: React.FC<BreadcrumbProps>;
export default Breadcrumb;
