import React from 'react';
import { LabelPlacement } from '../utils.js';
import { AriaAttributeProps } from '../utils.js';
interface CheckboxProps extends AriaAttributeProps {
    checked: boolean;
    disabled?: boolean;
    id?: React.HTMLAttributes<any>['id'];
    label: string;
    labelPlacement?: LabelPlacement;
    lightLabel?: boolean;
    onChange: (event: React.ChangeEvent<HTMLButtonElement>) => void;
    value?: string;
}
declare const Checkbox: React.FC<CheckboxProps>;
export default Checkbox;
