import React from 'react';
import { AriaAttributeProps, ClickableProps as BaseClickableProps, BorderProps, FlexContainerProps, SpacingProps } from '../utils.js';
export interface ClickableProps extends AriaAttributeProps, SpacingProps, BorderProps, FlexContainerProps, BaseClickableProps, Omit<React.HTMLAttributes<HTMLElement>, 'onClick' | 'className'> {
    children: React.ReactNode;
    fullHeight?: boolean;
    fullWidth?: boolean;
    hoverColor?: boolean;
}
declare const Clickable: React.ForwardRefExoticComponent<ClickableProps & React.RefAttributes<HTMLElement>>;
export default Clickable;
