import React from 'react';
import { LabelPlacement } from '../utils.js';
import { AriaAttributeProps, BootstrapSize } from '../utils.js';
export type BootstrapNumberColor = 'success' | 'warning' | 'danger' | 'none';
interface LinearPercentageProps extends AriaAttributeProps {
    boldLabel?: boolean;
    color?: BootstrapNumberColor;
    label: React.ReactNode;
    labelPlacement?: LabelPlacement;
    percent: number;
    size?: BootstrapSize;
}
declare const LinearPercentage: React.FC<LinearPercentageProps>;
export default LinearPercentage;
