import React from 'react';
import { BoxProps } from '../Box/Box.js';
import { AriaAttributeProps, ClickableProps as BaseClickableProps, BorderWidth, FlexContainerProps } from '../utils.js';
export interface ListItemProps extends AriaAttributeProps, BaseClickableProps, Pick<BoxProps, 'component'>, FlexContainerProps {
    border?: BorderWidth;
    children: React.ReactNode;
    fullHeight?: boolean;
    fullWidth?: boolean;
    id?: string;
    tight?: boolean;
}
export declare const ListItem: React.ForwardRefExoticComponent<ListItemProps & React.RefAttributes<HTMLElement>>;
export default ListItem;
