import React from 'react';
import { CortexContextResponse } from '../api/cortexEntityTypes.js';
interface PluginContextProviderProps extends React.PropsWithChildren {
    monkeyPatchFetch?: boolean;
}
export interface IPluginContext {
    context: CortexContextResponse;
    setContext: (context: CortexContextResponse) => void;
}
export declare const PluginContext: React.Context<IPluginContext>;
declare const PluginContextProvider: React.FC<PluginContextProviderProps>;
export default PluginContextProvider;
