import React from 'react';
import { CoreSpacing, FlexContainerProps, FlexItemProps, OverflowProps, SpacingProps } from '../utils.js';
export interface StackProps extends Omit<FlexContainerProps, 'direction'>, FlexItemProps, OverflowProps, SpacingProps {
    children: React.ReactNode;
    component?: React.ElementType;
    customDivider?: React.ReactNode;
    divider?: boolean;
    fullHeight?: boolean;
    fullWidth?: boolean;
    id?: string;
    row?: boolean;
    spacing?: CoreSpacing;
}
declare const Stack: React.FC<StackProps>;
export default Stack;
