import React from 'react';
import { IconComponentType } from '../Icon/IconComponentType.js';
import { SpacingProps } from '../utils.js';
export interface TabProps extends SpacingProps {
    active: boolean;
    badge?: string;
    count?: number;
    disabled?: boolean;
    icon?: IconComponentType;
    name: string;
    onClick: () => void;
}
declare const Tab: React.FC<TabProps>;
export default Tab;
