import React from 'react';
import { TextStyleProps } from '../utils.js';
export interface TagProps extends Pick<TextStyleProps, 'lineClamp'>, Omit<React.HTMLAttributes<HTMLDivElement>, 'className'> {
    children: React.ReactNode;
    dark?: boolean;
    small?: boolean;
    solid?: boolean;
}
declare const Tag: React.FC<TagProps>;
export default Tag;
