import React from 'react';
import { AriaAttributeProps } from '../utils.js';
import { TypeaheadLabelKey, TypeaheadModel } from './Typeahead.js';
export interface ObjectTypeaheadProps<T extends TypeaheadModel> extends AriaAttributeProps {
    disabled?: boolean;
    id?: string;
    isClearable?: boolean;
    isLoading?: boolean;
    labelKey?: TypeaheadLabelKey<T>;
    menuPortalTarget?: HTMLElement | null;
    multiple?: boolean;
    onBlur?: () => void;
    onChange?: (selected: T[]) => void;
    options: T[];
    placeholder?: string;
    selected?: T[];
}
declare function ObjectTypeahead<T extends TypeaheadModel>({ 'aria-label': ariaLabel, disabled, id, isLoading, labelKey, menuPortalTarget, multiple, onBlur, onChange, options, placeholder, selected, isClearable, }: ObjectTypeaheadProps<T>): React.JSX.Element;
export default ObjectTypeahead;
